/******************************************************************************
* BIM M 13x Serial Communication
*
* File: utility.h
*
* Date: 2009/03/16
*
* Version: 002
*
* Author: Schiekofer
******************************************************************************/
#ifndef __UTILITY_H
#define __UTILITY_H

#define APDUMASK                    0x03FF
#define A_PROPERTYVALUE_READ_HIBYTE 0x03
#define A_PROPERTYVALUE_READ_LOBYTE 0xD5
#define A_PROPERTYVALUE_RESPONSE    0x03D6

typedef enum
{
    AddressTable                = 1,
    AssociationTable            = 2,
    CommunicationObjectTable    = 3
} Table;

void Utility_Init(void);
USHORT GetPointer(Table tab);
BYTE GetObjectLength(BYTE ObjNum);
BYTE* GetObjectPointer(BYTE ObjNum);
BYTE GetObjectType(BYTE ObjNum);

#endif
